<script type="text/javascript">
    RED.nodes.registerType('prometheus-server', {
        category: 'config',
        defaults: {
            host: { 
                value: "",
                required: true
            },
            port: { 
                value: 9090,
                required: true,
                validate: RED.validators.number()
            },
            username: {
                type:"text",
                required: false
            },
            password: {
                type: "password",
                required: false
            }
        },
        label: function() {
            return this.host + ":" + this.port;
        }
    });
</script>

<script type="text/html" data-template-name="prometheus-server">
    <div class="form-row">
        <label for="node-config-input-host"><i class="fa fa-globe"></i> Host</label>
        <input type="text" id="node-config-input-host">
    </div>
    <div class="form-row">
        <label for="node-config-input-port"><i class="fa fa-bookmark"></i> Port</label>
        <input type="text" id="node-config-input-port">
    </div>
    <div class="form-row">
        <label for="node-config-input-username"><i class="fa fa-user"></i> Username</label>
        <input type="text" id="node-config-input-username">
    </div>
    <div class="form-row">
        <label for="node-config-input-password"><i class="fa fa-key"></i> Host</label>
        <input type="text" id="node-config-input-password">
    </div>
</script>